Public Class MacroFeatureWndV

   Private WithEvents m_MacroFeatureWndVM As MacroFeatureWndVM

   Sub New(Owner As Window, MacroFeatureWndVM As MacroFeatureWndVM)
      MyBase.New(Owner)
      ' This call is required by the designer.
      InitializeComponent()
      Me.DataContext = MacroFeatureWndVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_MacroFeatureWndVM = MacroFeatureWndVM
   End Sub

   Private Sub CloseWindow(bDialogResult As Boolean) Handles m_MacroFeatureWndVM.m_CloseWindow
      Me.DialogResult = bDialogResult
   End Sub

End Class
